Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

NetworkReceiver Member List
This is the complete list of members for NetworkReceiver, including all inherited members.

EofReceived() const =0 (defined in NetworkReceiver) | NetworkReceiver | `[pure virtual]`
GetMaxWaitObjectCount() const =0 | Waitable | `[pure virtual]`
GetReceiveResult()=0 (defined in NetworkReceiver) | NetworkReceiver | `[pure virtual]`
GetWaitObjects(WaitObjectContainer &container, CallStack const &callStack)=0 | Waitable | `[pure virtual]`
MustWaitForResult() (defined in NetworkReceiver) | NetworkReceiver | `[inline, virtual]`
MustWaitToReceive() (defined in NetworkReceiver) | NetworkReceiver | `[inline, virtual]`
Receive(byte *buf, size_t bufLen)=0 | NetworkReceiver | `[pure virtual]`
Wait(unsigned long milliseconds, CallStack const &callStack) | Waitable |
~Waitable() (defined in Waitable) | Waitable | `[inline, virtual]`